FilterScharr
Fixed Filters

Filters the image using a Scharr filter kernel. More...

## FilterScharrHoriz

Filters the image using a horizontal Scharr filter kernel:
NppStatus | nppiFilterScharrHoriz_8u16s_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 16-bit signed horizontal Scharr filter. More...
NppStatus | nppiFilterScharrHoriz_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterScharrHoriz_8s16s_C1R_Ctx (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 16-bit signed horizontal Scharr filter. More...
NppStatus | nppiFilterScharrHoriz_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterScharrHoriz_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point horizontal Scharr filter. More...
NppStatus | nppiFilterScharrHoriz_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)

## FilterScharrVert

Filters the image using a vertical Scharr filter kernel:
NppStatus | nppiFilterScharrVert_8u16s_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit unsigned to 16-bit signed vertical Scharr filter. More...
NppStatus | nppiFilterScharrVert_8u16s_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterScharrVert_8s16s_C1R_Ctx (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 8-bit signed to 16-bit signed vertical Scharr filter. More...
NppStatus | nppiFilterScharrVert_8s16s_C1R (const Npp8s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oSizeROI)
NppStatus | nppiFilterScharrVert_32f_C1R_Ctx (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI, NppStreamContext nppStreamCtx)
| Single channel 32-bit floating-point vertical Scharr filter. More...
NppStatus | nppiFilterScharrVert_32f_C1R (const Npp32f *pSrc, Npp32s nSrcStep, Npp32f *pDst, Npp32s nDstStep, NppiSize oSizeROI)

## Detailed Description

Filters the image using a Scharr filter kernel.

### Common parameters for nppiFilterScharr functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterScharrHoriz_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterScharrHoriz_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point horizontal Scharr filter.

For common parameter descriptions, see Common parameters for nppiFilterScharr functions.

NppStatus nppiFilterScharrHoriz_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterScharrHoriz_8s16s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 16-bit signed horizontal Scharr filter.

For common parameter descriptions, see Common parameters for nppiFilterScharr functions.

NppStatus nppiFilterScharrHoriz_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterScharrHoriz_8u16s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 16-bit signed horizontal Scharr filter.

For common parameter descriptions, see Common parameters for nppiFilterScharr functions.

NppStatus nppiFilterScharrVert_32f_C1R | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterScharrVert_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp32f * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 32-bit floating-point vertical Scharr filter.

For common parameter descriptions, see Common parameters for nppiFilterScharr functions.

NppStatus nppiFilterScharrVert_8s16s_C1R | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterScharrVert_8s16s_C1R_Ctx | ( | const Npp8s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit signed to 16-bit signed vertical Scharr filter.

For common parameter descriptions, see Common parameters for nppiFilterScharr functions.

NppStatus nppiFilterScharrVert_8u16s_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI
| ) |  |

NppStatus nppiFilterScharrVert_8u16s_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oSizeROI,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single channel 8-bit unsigned to 16-bit signed vertical Scharr filter.

For common parameter descriptions, see Common parameters for nppiFilterScharr functions.

Copyright © 2009-2018 NVIDIA Corporation